how to download update 9?

how to download update 9?

Imagen de xiazhou_cnd

In the page http://software.intel.com/en-us/articles/whats-new-update-9-intel-vtune-..., there is no link to the file vtune_amplifier_xe_2013_update9.tar.gz. How do we download it?

Also, how to download the evaluation copy of VTune Amplifier XE 2013? I filled the form (https://registrationcenter.intel.com/RegCenter/AutoGen.aspx?ProductID=18...) and clicked "Continue", nothing happens.

Thank you very much!

publicaciones de 12 / 0 nuevos
Último envío
Para obtener más información sobre las optimizaciones del compilador, consulte el aviso sobre la optimización.
Imagen de MrAnderson (Intel)

Hello xiazhou:

If you already have VTune Amplifier XE installed, you can use the Intel Software Manager to download and install the update (see Start menu for Intel Parallel Studio XE 2013).  Otherwise, downloads are accomplished through the Intel Software Development Products Registration Center, after logging into your account (created when you either purchase a copy or register for an evaluation).

Regarding evaluation copies, once you complete the registration, you should be taken to a download page.  Perhaps a pop-up blocker interfered when you pressed Continue?

Regards, MrAnderson
Imagen de xiazhou_cnd

Hello MrAnderson,

After I turned off the pop-up blocker, I got the update 9. Thank you very much!

During the installation on a baseline Linux OS, I got some errors (appended at the end of this email). I don't really know how to get the Advanced Options -> Driver build options dialog to build Sampling and/or Power driver.

Your help is highly appreciated,

Xiazhou

Error Message from the installation:

Either kernel source directory, C compiler, or Make command was not detected
by installation program. To build Sampling and/or Power driver, set up parameters
in Advanced Options -> Driver build options dialog.
To install kernel headers, execute one of the following commands specific to
your operating system:
- Fedora / Red Hat Enterprise Linux
   - On a system with the default kernel, install the kernel-devel package:
     yum install kernel-devel
   - On a system with the PAE kernel, install the kernel-PAE package:
     yum install kernel-PAE-devel
- openSUSE / SUSE Linux Enterprise
     zypper install kernel-source
- Ubuntu / Debian
     apt-get install linux-headers-$(uname -r)

Imagen de Peter Wang (Intel)

It meant that your system doesn't have Linux kernel source, which are required by building vtune drivers.

You can complete the installation, then download kernel source, go vtune_amplifier_xe_2013/sepdk/src, to build/install vtune drivers. 

Imagen de xiazhou_cnd

Hi Peter, Thank you very much for your instruction. I built the vtune drivers, but when I run /dev/pax, I got the following error:

Checking for PMU arbitration service (PAX) ... detected.
PAX service is accessible to users in group "root".

Error: PAX group conflicts with sep3_10 group "vtune".
       Groups must match or the file permissions
       on PAX driver must be unrestricted.

Please let me know how to fix it: should I change the group of sep3_10 from "vtune" to "root", or change the group of /dev/pax? The output of ls command for PAX is:

ls -al /dev/pax
crw-r--r-- 1 root root 246, 0 Jul  3 04:23 /dev/pax

Imagen de xiazhou_cnd

Sorry that there is a typo in my previous message. The command I run is ./insmod-sep3

Imagen de xiazhou_cnd

I solved the previous problem with

./insmod-sep3 --group root

However, I have more serious problem when loading powerdk:

./insmod-apwr --group root
Executing: insmod ./
insmod: can't read './': Is a directory

Error:  apwr3_1 driver failed to load!

You may need to build apwr3_1 driver for your kernel.
Please see the apwr3_1 driver README for instructions.

The driver is built in our build-machine, and the build seems OK though with some warnings.

Imagen de Peter Wang (Intel)

root is not recommended as vtune group, default group is "vtune", but you can specify another existing user group, e.g. "vtune-group". You can run rmmod-sep3 to remove all, specially need to check "lsmod | grep pax" - if exists, use rmmod to remove it manually then you do reinstall drivers. Do all under root-privilege, and add your user-account into "vtune-group" for using VTune.

You should be able to build/install apwr3_1 driver under root if your OS kernel is 2.6.32 or later.

 

Imagen de Sergey Kostrov

I have a generic question:

I see that you're releasing updates too often and 9 updates are already released. So, does it make sense to make it less often? Wouldn't it better to have just 4 or 6 updates in a year?

If you continue with the same approach I expect that by the end of 2013 at least of 20 updates will be released.

Imagen de xiazhou_cnd

Thank you very much, Peter. After I changed the version part of the names for pax, vtsspp, and apwr, they seemed loaded correctly.

Imagen de Peter Wang (Intel)

> Sergey, most of VTune updates aim new features available and new silicons support. I agree with you sometime they are too oftern.

> Xiazhou, thank you for the update and I'm glad that the tool can work on your side.

Imagen de MrAnderson (Intel)

Hi Sergey:

The VTune Amplifier XE team is attempting to be responsive to customer requests and defect reports.  Whenever we release an Update, we publish new features and whether or not it contains bug fixes.  If the features are not interesting to you, you do not need to update.  It's totally up to you.  We just are trying to be more timely in addressing customer problems and feature requests.

Regards, MrAnderson

Inicie sesión para dejar un comentario.